#
# spec file for package python-gnome (Version 2.12.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs eel eel-devel esound esound-devel evolution-data-server expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-panel gnome-panel-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidl libjpeg libjpeg-devel libnscd libpng libpng-devel libsoup libstdc++ libsvg libsvg-cairo libtool libusb libwnck libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nss ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric python-orbit rcs readline resmgr rpm sed startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           python-gnome
BuildRequires:  eel-devel gnome-panel-devel gnutls-devel libgnomeui-devel python-devel python-gtk python-orbit update-desktop-files
URL:            ftp://ftp.gnome.org/pub/gnome/sources/gnome-python
Summary:        Python bindings for GNOME
Version:        2.12.3
Release:        18.2
Source:         gnome-python-%{version}.tar.bz2
License:        LGPL
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
Requires:       python-gtk python-numeric python-orbit
Patch:          canvas.patch

%description
PyGNOME is an extension module for python that gives you access to the
GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.



Authors:
--------
    James Henstridge  <james@daa.com.au>
    Johan Dahlin  <jdahlin@telia.com>
    Matt Wilson  <msw@redhat.com>

%debug_package
%prep
%setup -q -n gnome-python-%{version}
%patch -p1
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i

%build
%{configure}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
for dir in %_libdir/python%py_ver/site-packages ; do
    find $RPM_BUILD_ROOT/$dir \( -name '*.py[co]' -o -name '*.la' \) -print0 | xargs -0 rm
    python %_libdir/python%py_ver/compileall.py -d $dir $RPM_BUILD_ROOT/$dir
done
mkdir -p $RPM_BUILD_ROOT/opt/gnome/%_lib/gnome-vfs-2.0/modules/
mv $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/*.so $RPM_BUILD_ROOT/opt/gnome/%_lib/gnome-vfs-2.0/modules/
rm $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/*.la

%files
%defattr(644, root, root, 755)
%{_libdir}/python%py_ver/site-packages/*
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%{_datadir}/pygtk/2.0/defs/*
%{_datadir}/pygtk/2.0/argtypes
%{_includedir}/gnome-python-2.0
/opt/gnome/%_lib/gnome-vfs-2.0/modules/*
%doc AUTHORS COPYING ChangeLog NEWS examples

%changelog -n python-gnome
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - matejcik@suse.cz
- update to 2.12.3
* Wed Dec 14 2005 - jmatejek@suse.cz
- update to 2.12.2
* Tue Dec 13 2005 - gekker@suse.de
- removed nautilus and nautilus-devel from nfb, not needed and
  causes a loop in the build system
* Mon Oct 17 2005 - ro@suse.de
- removed libzvt from neededforbuild (unused)
* Mon Sep 05 2005 - gekker@suse.de
- Update to 2.12.0 (GNOME 2.12)
* Wed Aug 03 2005 - gekker@suse.de
- update to 2.11.3
* Tue Jul 12 2005 - ltinkl@suse.cz
- update to 2.11.2
- fix gnome-canvas build problems
- integrate the gnome-vfs module
* Thu Apr 14 2005 - mcihar@suse.cz
- update to 2.10.0
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 2.9.4
* Thu Jan 20 2005 - mcihar@suse.cz
- update to 2.6.2
* Wed Nov 24 2004 - mcihar@suse.cz
- update to 2.6.1
* Mon Nov 22 2004 - ro@suse.de
- only use py_ver macro, py_libdir is broken on 9.0 and older
* Mon Aug 09 2004 - mcihar@suse.cz
- update to 2.0.3
* Mon Apr 19 2004 - mcihar@suse.cz
- compile python code with correct paths inside
* Thu Apr 15 2004 - mcihar@suse.cz
- update to 2.0.2
- drop gnome 1.4 support
* Tue Mar 16 2004 - mcihar@suse.cz
- compile GNOME 1 version with -fno-strict-aliasing
- move gconf installation using distutils to same place as Makefiles
  install it (bug #36164)
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Wed Oct 15 2003 - mcihar@suse.cz
- record-rpm is really not needed
- don't build as root
* Sat Sep 13 2003 - ro@suse.de
- fix build (find gdk-pixbuf includes)
* Tue Sep 02 2003 - mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 - mcihar@suse.cz
- included sources missing from upstream
- moved gnome-vfs files into /opt/gnome
* Tue Aug 26 2003 - mcihar@suse.cz
- updated to 1.99.18:
  Many improvements were made to the gnome-print, bonobo, and
  gnome-vfs bindings. Some bugs with SIGCHLD handling were fixed.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Wed Aug 13 2003 - mcihar@suse.cz
- build more modules
* Wed Aug 06 2003 - mcihar@suse.cz
- added workaround for lib64 dirs and pkgconfig
* Tue Aug 05 2003 - mcihar@suse.cz
- use distutils when possible
- compile python files with correct paths inside
- fix pkgconfig file to not contain buildroot
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 29 2003 - mcihar@suse.cz
- make executable only files that should be
* Tue May 27 2003 - mcihar@suse.cz
- fixed filelist
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Mon May 05 2003 - mcihar@suse.cz
- included also version for gnome 1.4, it is still needed for some apps (fixes
  bug #25150)
- included some examples and more documentation
- gnome 2 version updated to 1.99.16
* Thu Jan 23 2003 - mcihar@suse.cz
- updated to 1.99.14
* Thu Jan 16 2003 - ro@suse.de
- update neededforbuild
* Mon Dec 02 2002 - mcihar@suse.cz
- fixed filelist for lib64
* Thu Nov 28 2002 - ro@suse.de
- added gnome-panel,libgtkhtml to neededforbuild
* Wed Nov 27 2002 - mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 - mcihar@suse.cz
- version for GNOME 2
